## libsass 3.3.4

=== Makefile ===
OS       ?= $(shell uname -s)
CC       ?= gcc
CXX      ?= g++
RM       ?= rm -f
CP       ?= cp -a
MKDIR    ?= mkdir
RMDIR    ?= rmdir
WINDRES  ?= windres
# Solaris/Illumos flavors
# ginstall from coreutils
ifeq ($(OS),SunOS)
INSTALL  ?= ginstall
endif
INSTALL  ?= install
CFLAGS   ?= -Wall
CXXFLAGS ?= -Wall
LDFLAGS  ?= -Wall
ifneq "$(COVERAGE)" "yes"
  CFLAGS   += -O2
  CXXFLAGS += -O2
  LDFLAGS  += -O2
endif
LDFLAGS  += -Wl,-undefined,error
CAT      ?= $(if $(filter $(OS),Windows_NT),type,cat)

ifneq (,$(findstring /cygdrive/,$(PATH)))
	UNAME := Cygwin
else
	ifneq (,$(findstring Windows_NT,$(OS)))
		UNAME := Windows
	else
		ifneq (,$(findstring mingw32,$(MAKE)))
			UNAME := Windows
		else
			ifneq (,$(findstring MINGW32,$(shell uname -s)))
				UNAME = Windows
			else
				UNAME := $(shell uname -s)
			endif
		endif
	endif
endif

ifeq ($(SASS_LIBSASS_PATH),)
	SASS_LIBSASS_PATH = $(abspath $(CURDIR))
endif

ifeq ($(LIBSASS_VERSION),)
	ifneq ($(wildcard ./.git/ ),)
		LIBSASS_VERSION ?= $(shell git describe --abbrev=4 --dirty --always --tags)
	endif
endif

ifeq ($(LIBSASS_VERSION),)
	ifneq ($(wildcard VERSION),)
		LIBSASS_VERSION ?= $(shell $(CAT) VERSION)
	endif
endif

ifneq ($(LIBSASS_VERSION),)
	CFLAGS   += -DLIBSASS_VERSION="\"$(LIBSASS_VERSION)\""
	CXXFLAGS += -DLIBSASS_VERSION="\"$(LIBSASS_VERSION)\""
endif

# enable mandatory flag
ifeq (Windows,$(UNAME))
	ifneq ($(BUILD),shared)
		STATIC_ALL     ?= 1
	endif
	STATIC_LIBGCC    ?= 1
	STATIC_LIBSTDCPP ?= 1
	CXXFLAGS += -std=gnu++0x
	LDFLAGS  += -std=gnu++0x
else
	STATIC_ALL       ?= 0
	STATIC_LIBGCC    ?= 0
	STATIC_LIBSTDCPP ?= 0
	CXXFLAGS += -std=c++0x
	LDFLAGS  += -std=c++0x
endif

ifneq ($(SASS_LIBSASS_PATH),)
	CFLAGS   += -I $(SASS_LIBSASS_PATH)/include
	CXXFLAGS += -I $(SASS_LIBSASS_PATH)/include
else
	# this is needed for mingw
	CFLAGS   += -I include
	CXXFLAGS += -I include
endif

ifneq ($(EXTRA_CFLAGS),)
	CFLAGS   += $(EXTRA_CFLAGS)
endif
ifneq ($(EXTRA_CXXFLAGS),)
	CXXFLAGS += $(EXTRA_CXXFLAGS)
endif
ifneq ($(EXTRA_LDFLAGS),)
	LDFLAGS  += $(EXTRA_LDFLAGS)
endif

LDLIBS = -lm

ifneq ($(BUILD),shared)
	LDLIBS += -lstdc++
endif

# link statically into lib
# makes it a lot more portable
# increases size by about 50KB
ifeq ($(STATIC_ALL),1)
	LDFLAGS += -static
endif
ifeq ($(STATIC_LIBGCC),1)
	LDFLAGS += -static-libgcc
endif
ifeq ($(STATIC_LIBSTDCPP),1)
	LDFLAGS += -static-libstdc++
endif

ifeq ($(UNAME),Darwin)
	CFLAGS += -stdlib=libc++
	CXXFLAGS += -stdlib=libc++
	LDFLAGS += -stdlib=libc++
endif

ifneq (Windows,$(UNAME))
	ifneq (FreeBSD,$(UNAME))
		LDFLAGS += -ldl
		LDLIBS += -ldl
	endif
endif

ifneq ($(BUILD),shared)
	BUILD = static
endif

ifeq (,$(TRAVIS_BUILD_DIR))
	ifeq ($(OS),SunOS)
		PREFIX ?= /opt/local
	else
		PREFIX ?= /usr/local
	endif
else
	PREFIX ?= $(TRAVIS_BUILD_DIR)
endif


SASS_SASSC_PATH ?= sassc
SASS_SPEC_PATH ?= sass-spec
SASS_SPEC_SPEC_DIR ?= spec
SASSC_BIN = $(SASS_SASSC_PATH)/bin/sassc
RUBY_BIN = ruby

LIB_STATIC = $(SASS_LIBSASS_PATH)/lib/libsass.a
LIB_SHARED = $(SASS_LIBSASS_PATH)/lib/libsass.so

ifeq (Windows,$(UNAME))
	ifeq (shared,$(BUILD))
		CFLAGS     += -D ADD_EXPORTS
		CXXFLAGS   += -D ADD_EXPORTS
		LIB_SHARED  = $(SASS_LIBSASS_PATH)/lib/libsass.dll
	endif
else
	ifneq (Cygwin,$(UNAME))
		CFLAGS   += -fPIC
		CXXFLAGS += -fPIC
		LDFLAGS  += -fPIC
	endif
endif

ifeq (Windows,$(UNAME))
	SASSC_BIN = $(SASS_SASSC_PATH)/bin/sassc.exe
endif

include Makefile.conf

RESOURCES =
STATICLIB = lib/libsass.a
SHAREDLIB = lib/libsass.so
ifeq (Windows,$(UNAME))
	RESOURCES += res/resource.rc
	SHAREDLIB  = lib/libsass.dll
	ifeq (shared,$(BUILD))
		CFLAGS    += -D ADD_EXPORTS
		CXXFLAGS  += -D ADD_EXPORTS
	endif
else
	ifneq (Cygwin,$(UNAME))
		CFLAGS   += -fPIC
		CXXFLAGS += -fPIC
		LDFLAGS  += -fPIC
	endif
endif

OBJECTS = $(addprefix src/,$(SOURCES:.cpp=.o))
COBJECTS = $(addprefix src/,$(CSOURCES:.c=.o))
RCOBJECTS = $(RESOURCES:.rc=.o)

DEBUG_LVL ?= NONE

CLEANUPS ?=
CLEANUPS += $(RCOBJECTS)
CLEANUPS += $(COBJECTS)
CLEANUPS += $(OBJECTS)
CLEANUPS += $(LIBSASS_LIB)

all: $(BUILD)

debug: $(BUILD)

debug-static: LDFLAGS := -g $(filter-out -O2,$(LDFLAGS))
debug-static: CFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CFLAGS))
debug-static: CXXFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CXXFLAGS))
debug-static: static

debug-shared: LDFLAGS := -g $(filter-out -O2,$(LDFLAGS))
debug-shared: CFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CFLAGS))
debug-shared: CXXFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CXXFLAGS))
debug-shared: shared

lib:
	$(MKDIR) lib

lib/libsass.a: lib $(COBJECTS) $(OBJECTS)
	$(AR) rcvs $@ $(COBJECTS) $(OBJECTS)

lib/libsass.so: lib $(COBJECTS) $(OBJECTS)
	$(CXX) -shared $(LDFLAGS) -o $@ $(COBJECTS) $(OBJECTS) $(LDLIBS)

lib/libsass.dll: lib $(COBJECTS) $(OBJECTS) $(RCOBJECTS)
	$(CXX) -shared $(LDFLAGS) -o $@ $(COBJECTS) $(OBJECTS) $(RCOBJECTS) $(LDLIBS) -s -Wl,--subsystem,windows,--out-implib,lib/libsass.a

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.rc
	$(WINDRES) -i $< -o $@

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

%: %.o static
	$(CXX) $(CXXFLAGS) -o $@ $+ $(LDFLAGS) $(LDLIBS)

install: install-$(BUILD)

static: $(STATICLIB)
shared: $(SHAREDLIB)

$(DESTDIR)$(PREFIX):
	$(MKDIR) $(DESTDIR)$(PREFIX)

$(DESTDIR)$(PREFIX)/lib: $(DESTDIR)$(PREFIX)
	$(MKDIR) $(DESTDIR)$(PREFIX)/lib

$(DESTDIR)$(PREFIX)/include: $(DESTDIR)$(PREFIX)
	$(MKDIR) $(DESTDIR)$(PREFIX)/include

$(DESTDIR)$(PREFIX)/include/sass: $(DESTDIR)$(PREFIX)/include
	$(MKDIR) $(DESTDIR)$(PREFIX)/include/sass

$(DESTDIR)$(PREFIX)/include/%.h: include/%.h \
                                 $(DESTDIR)$(PREFIX)/include \
                                 $(DESTDIR)$(PREFIX)/include/sass
	$(INSTALL) -v -m0644 "$<" "$@"

install-headers: $(DESTDIR)$(PREFIX)/include/sass.h \
                 $(DESTDIR)$(PREFIX)/include/sass2scss.h \
                 $(DESTDIR)$(PREFIX)/include/sass/base.h \
                 $(DESTDIR)$(PREFIX)/include/sass/version.h \
                 $(DESTDIR)$(PREFIX)/include/sass/values.h \
                 $(DESTDIR)$(PREFIX)/include/sass/context.h \
                 $(DESTDIR)$(PREFIX)/include/sass/functions.h

$(DESTDIR)$(PREFIX)/lib/%.a: lib/%.a \
                             $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

$(DESTDIR)$(PREFIX)/lib/%.so: lib/%.so \
                             $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

$(DESTDIR)$(PREFIX)/lib/%.dll: lib/%.dll \
                               $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

install-static: $(DESTDIR)$(PREFIX)/lib/libsass.a

install-shared: $(DESTDIR)$(PREFIX)/lib/libsass.so \
                install-headers

$(SASSC_BIN): $(BUILD)
	$(MAKE) -C $(SASS_SASSC_PATH)

sassc: $(SASSC_BIN)
	$(SASSC_BIN) -v

version: $(SASSC_BIN)
	$(SASSC_BIN) -h
	$(SASSC_BIN) -v

test: $(SASSC_BIN)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) -s $(LOG_FLAGS) $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)

test_build: $(SASSC_BIN)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) -s --ignore-todo $(LOG_FLAGS) $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)

test_issues: $(SASSC_BIN)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) $(LOG_FLAGS) $(SASS_SPEC_PATH)/spec/issues

clean-objects: lib
	-$(RM) lib/*.a lib/*.so lib/*.dll lib/*.la
	-$(RMDIR) lib
clean: clean-objects
	$(RM) $(CLEANUPS)

clean-all:
	$(MAKE) -C $(SASS_SASSC_PATH) clean

lib-file: lib-file-$(BUILD)
lib-opts: lib-opts-$(BUILD)

lib-file-static:
	@echo $(LIB_STATIC)
lib-file-shared:
	@echo $(LIB_SHARED)
lib-opts-static:
	@echo -L"$(SASS_LIBSASS_PATH)/lib"
lib-opts-shared:
	@echo -L"$(SASS_LIBSASS_PATH)/lib -lsass"

.PHONY: all static shared sassc \
        version install-headers \
        clean clean-all clean-objects \
        debug debug-static debug-shared \
        install install-static install-shared \
        lib-opts lib-opts-shared lib-opts-static \
        lib-file lib-file-shared lib-file-static
.DELETE_ON_ERROR:

## libsass 3.2.5

=== debian/changelog ===
libsass (3.2.5-1) unstable; urgency=medium

  * Update copyright info:
    + Fix use SPDX license shortname BSL.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Fix reference GPL2 license (as pseudo-field: Yet another
      limitation of format 1.0).
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jun 2015 13:09:53 -0500

libsass (3.2.4-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.
  * Fix set upstream version.
  * Modernize git-buildpackage config: Drop "git-" prefix.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 May 2015 23:37:57 +0200

libsass (3.2.4-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release(s).

  [ Jonas Smedegaard ]
  * Update Vcs-Browser URL to use cgit web frontend.
  * Update copyright info: Drop unused GAP license section.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 May 2015 23:04:33 +0200

libsass (3.1.0-1) unstable; urgency=low

  * Initial release.
    Closes: bug#694730.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Mar 2015 03:56:22 +0100

=== debian/control ===
Source: libsass
Section: libs
Priority: optional
Build-Depends: cdbs (>= 0.4.123~),
 devscripts,
 libtool,
 automake,
 autoconf,
 debhelper,
 dh-buildinfo,
 autoconf-archive,
 d-shlibs (>= 0.50)
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.6
Homepage: https://libsass.org/
Vcs-Git: git://git.debian.org/pkg-libsass/libsass.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libsass/libsass.git

Package: libsass0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends},
 ${cdbs:Pre-Depends}
Multi-Arch: same
Description: C/C++ port of the Sass CSS precompiler
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.

Package: libsass0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libsass0 (= ${binary:Version})
Description: C/C++ port of the Sass CSS precompiler - debugging symbols
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.
 .
 This package contains the debugging symbols.

Package: libsass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsass0 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends}
Suggests: libsass-doc
Description: C/C++ port of the Sass CSS precompiler - development headers
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.
 .
 This package provides header files for developing your applications to
 use libsass template engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for LibSass
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# This needs to run (and thus be declared) before CDBS includes
debian/control:: debian/control.in
DEB_PHONY_RULES += debian/control.in
debian/control.in::
	sed -e 's/__LIBPKG__/$(libpkg)/g' <debian/control.in.in >debian/control.in

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_AUTO_UPDATE_AUTOCONF = ,
DEB_AUTO_UPDATE_AUTOMAKE = ,
DEB_AUTO_UPDATE_AUTOHEADER = ,
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)
stem = $(patsubst lib%,%,$(pkg))
abi = 0
lib = lib$(stem)
libpkg = lib$(stem)$(abi)
devpkg = lib$(stem)-dev

DEB_UPSTREAM_URL = https://github.com/sass/libsass/archive
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# Needed by upstream build
# TODO: Patch code to use system shared libraries
#dev-deps = libb64-dev, libutfcpp-dev, libgetopt++-dev

# Needed for our packaging
deps-pkg +=, autoconf-archive, d-shlibs (>= 0.50)

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-pkg)

# Multiarch quirk (see also other uses of that variable in this file)
CDBS_PREDEPENDS_$(libpkg) = $(if $(DEB_HOST_MULTIARCH),multiarch-support)

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

export LIBSASS_VERSION = $(DEB_UPSTREAM_VERSION)

DEB_MAKE_CHECK_TARGET = check

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
#  * d-shlibs 0.50 required for --multiarch and --exclude-la options
binary-post-install/$(libpkg) binary-post-install/$(devpkg):: \
 debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): \
 binary-install/$(libpkg) \
 binary-install/$(devpkg)
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--multiarch \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

# put aside upstream-shipped non-autotools Makefile during build
DEB_UPSTREAM_CRUFT_MOVE = Makefile

# create autotools files from scratch during build
auxdir = script
macrodir = m4
makefiledirs = .
files_autotools_core = $(auxdir)/config.guess $(auxdir)/config.sub
stems_m4_libtool = libtool ltoptions ltsugar ltversion lt~obsolete
files_libtool = $(auxdir)/ltmain.sh $(stems_m4_libtool:%=$(macrodir)/%.m4)
stems_aux_autoconf = compile install-sh missing
files_autoconf = aclocal.m4 configure $(stems_aux_autoconf:%=$(auxdir)/%)
files_automake = $(auxdir)/depcomp $(makefiledirs:=/Makefile.in)
files_automake += $(auxdir)/test-driver
files_autoheader = config.h.in
files_configure = config.log
files_autotools = $(files_autotools_core) $(files_libtool)
files_autotools += $(files_aclocal) $(files_autoconf) $(files_automake)
files_autotools += $(files_autoheader) $(files_configure)
DEB_ACLOCAL_ARGS = -Im4 --install --force
DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign --force
DEB_MAKE_CLEAN_TARGET = distclean
makefile-clean::
	rm -rf autom4te.cache
	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),$(files_autotools))
clean::
	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),$(files_autotools_core))
	test ! -d $(auxdir) || rmdir --ignore-fail-on-non-empty $(auxdir)

=== debian/watch ===
version=3
https://github.com/sass/libsass/tags .*/archive/v?(\d[\d\.]+).tar.gz

## libsass 3.3.4

=== debian/changelog ===
libsass (3.3.4-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Closes: Bug#818896. Thanks to Frederic Bonnard.

  [ Jonas Smedegaard ]
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Update watch file:
    + Bump file format to version 4.
    + Use github pattern from ducmentation.
  * Update copyright info:
    + Use License-Grant for GPL with exception.
    + Drop unneeded disclaimers.
    + Use license shortname FSFUL~Boost.
    + Change main copyright holder.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Mar 2016 22:09:20 +0100

libsass (3.3.3-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release.
    Thanks to Raphaël (see bug#694733).

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 3.9.7.
  * Modernize Vcs-Git field: Use https protocol.
  * Update copyright info:
    + Extend copyright for main upstream author to cover recent years.
    + Extend copyright of packaging to cover current year.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Mar 2016 01:18:47 +0100

libsass (3.3.2-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix typo in License shortname.
    + Cover newly added files.
  * Drop patch 1001: No longer applies.
  * Tidy lintian overrides.
  * Add lintian override regarding debhelper 9.
  * Copy unusually named Makefile.am to help CDBS notice it.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Nov 2015 20:26:27 +0100

libsass (3.2.5-2) unstable; urgency=medium

  * Fix Vcs-* URLs.
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Add patch 1001 to include header file sass_interface.h.
  * Update copyright info: Fix use License-Reference field (not
    pseudo-field within License field).
  * Git-ignore quilt .pc dir.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Nov 2015 19:21:42 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  d-shlibs (>= 0.50)
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://libsass.org/
-Vcs-Git: git://git.debian.org/pkg-libsass/libsass.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libsass/libsass.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-sass/libsass.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/libsass.git
 
 Package: libsass0
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2015-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for LibSass
 #
 # This program is free software; you can redistribute it and/or modify
@@ -27,7 +27,6 @@
 DEB_AUTO_UPDATE_AUTOCONF = ,
 DEB_AUTO_UPDATE_AUTOMAKE = ,
 DEB_AUTO_UPDATE_AUTOHEADER = ,
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -38,9 +37,6 @@
 lib = lib$(stem)
 libpkg = lib$(stem)$(abi)
 devpkg = lib$(stem)-dev
-
-DEB_UPSTREAM_URL = https://github.com/sass/libsass/archive
-DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 
 # Build-depend unversioned on debhelper
 #  TODO: Drop when adopted in cdbs
@@ -112,3 +108,10 @@
 clean::
 	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),$(files_autotools_core))
 	test ! -d $(auxdir) || rmdir --ignore-fail-on-non-empty $(auxdir)
+
+# copy unusually name Makefile.am to help CDBS notice it
+debian/stamp-autotools-files: Makefile.am
+Makefile.am:
+	cp -f GNUmakefile.am Makefile.am
+clean::
+	rm -f Makefile.am

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libsass-$1.tar.gz%" \
 https://github.com/sass/libsass/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libsass 3.3.6

=== debian/changelog ===
libsass (3.3.6-2) unstable; urgency=medium

  * Add autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Sep 2016 11:28:10 +0200

libsass (3.3.6-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Fix avoid call uupdate in watch file (counterproductive with
    git-buildpackage).
  * Update watch file:
    + Use substitution string @PACKAGE@.
    + Add usage comment.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Declare compliance with Debian Policy 3.9.8.
  * Update TODO: Testsuite never disabled.
  * Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Sep 2016 03:12:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs (>= 0.4.123~),
- devscripts,
+ licensecheck,
  libtool,
  automake,
  autoconf,
@@ -12,7 +12,7 @@
  d-shlibs (>= 0.50)
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://libsass.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-sass/libsass.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/libsass.git

=== debian/rules ===
--- 
+++ 
@@ -37,10 +37,6 @@
 lib = lib$(stem)
 libpkg = lib$(stem)$(abi)
 devpkg = lib$(stem)-dev
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Needed by upstream build
 # TODO: Patch code to use system shared libraries

## libsass 3.4.3

=== debian/changelog ===
libsass (3.4.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - Remove Build-Depends on licensecheck.

 -- Rhonda D'Vine <rhonda@strg.at>  Tue, 07 Mar 2017 16:20:00 +0100

libsass (3.4.3-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize Vcs-Browse field: Use git subdir.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info: Extend coverage of Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Jan 2017 20:12:01 +0100

libsass (3.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remove Build-Depends on licensecheck.

 -- Rhonda D'Vine <rhonda@strg.at>  Thu, 22 Dec 2016 12:05:53 +0100

libsass (3.4.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update homepage URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Dec 2016 11:32:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs (>= 0.4.123~),
- licensecheck,
  libtool,
  automake,
  autoconf,
@@ -13,9 +12,9 @@
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Standards-Version: 3.9.8
-Homepage: https://libsass.org/
+Homepage: http://sass-lang.com/libsass
 Vcs-Git: https://anonscm.debian.org/git/pkg-sass/libsass.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/libsass.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/libsass.git
 
 Package: libsass0
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2015-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for LibSass
 #
 # This program is free software; you can redistribute it and/or modify

## libsass 3.4.8

=== debian/changelog ===
libsass (3.4.8-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file: Skip beta releases.
  * Use package section optional (not extra).
  * Declare compliance with Debian Policy 4.1.3.
  * Update copyright info:
    + Drop needless copyright signs.
    + Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jan 2018 10:04:53 +0100

libsass (3.4.6-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Tighten lintian overrides regarding License-Reference.
  * Update watch file: Use substitution strings.
  * Simplify rules:
    + Stop auto-adapt control file based on SONAME.
    + Stop resolve build-dependencies in rules file.
  * Declare compliance with Debian Policy 4.1.1.
  * Relax to build-depend unversioned on cdbs.
  * Update copyright info: Use https protocol in file format URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Oct 2017 20:08:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libsass
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>= 0.4.123~),
+Build-Depends: cdbs,
  libtool,
  automake,
  autoconf,
@@ -11,7 +11,7 @@
  d-shlibs (>= 0.50)
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://sass-lang.com/libsass
 Vcs-Git: https://anonscm.debian.org/git/pkg-sass/libsass.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/libsass.git
@@ -33,7 +33,6 @@
 
 Package: libsass0-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends},
  libsass0 (= ${binary:Version})

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015-2017 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2015-2018 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for LibSass
 #
 # This program is free software; you can redistribute it and/or modify
@@ -15,12 +15,6 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
-
-# This needs to run (and thus be declared) before CDBS includes
-debian/control:: debian/control.in
-DEB_PHONY_RULES += debian/control.in
-debian/control.in::
-	sed -e 's/__LIBPKG__/$(libpkg)/g' <debian/control.in.in >debian/control.in
 
 DEB_AUTO_UPDATE_LIBTOOL = pre
 DEB_AUTO_UPDATE_ACLOCAL = ,
@@ -37,15 +31,6 @@
 lib = lib$(stem)
 libpkg = lib$(stem)$(abi)
 devpkg = lib$(stem)-dev
-
-# Needed by upstream build
-# TODO: Patch code to use system shared libraries
-#dev-deps = libb64-dev, libutfcpp-dev, libgetopt++-dev
-
-# Needed for our packaging
-deps-pkg +=, autoconf-archive, d-shlibs (>= 0.50)
-
-CDBS_BUILD_DEPENDS +=, $(deps), $(deps-pkg)
 
 # Multiarch quirk (see also other uses of that variable in this file)
 CDBS_PREDEPENDS_$(libpkg) = $(if $(DEB_HOST_MULTIARCH),multiarch-support)

=== debian/tests/control ===
Tests: spec
Depends: ruby, sassc, sass-spec, sass-spec-data

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/sass/libsass/tags \
 (?:.*?/)?v?(\d[\d.]+)@ARCHIVE_EXT@

## libsass 3.5.4+20180621~c0a6cf3

=== debian/changelog ===
libsass (3.5.4+20180621~c0a6cf3-1) unstable; urgency=medium

  [ upstream ]
  * Snapshot of stable git branch.
    + Add deprecation messages for color arithmetic
    + Revert "Remove raw css imports"
    + Revert "Add configuration for supporting additional extensions as
      .scss"
    + Revert "Add a deprecation warning for @import's that resolved .css
      files"
    + Revert "Separate out deprecated import file extensions"
    + Remove legacy workaround for parsing modulo operator
    + Fix handling of unclosed interpolant in url
  Closes: Bug#904209. Thanks to Jan Matějka.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Use substitution strings.
    + Fix typo in watch file usage comment.
  * Declare compliance with Debian Policy 4.1.5.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jul 2018 09:42:43 +0800

libsass (3.5.4-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Anthony Fok ]
  * Apply "cme fix dpkg" fixes to debian/control,
    adding version to debhelper build-dependency,
    bumping Standards-Version to 4.1.4, etc.
  * Add myself to the list of Uploaders.
  * Point Vcs-* URLs to salsa.debian.org.
  * Rename libsass0 to libsass1 as per upstream (abi = 1).
  * Enable parallel build.
  * Update copyright info: Adjust for relocated files.
  * Drop libsass0-dbg package, and switch to automatically created
    libsass1-dbgsym package.
  * Remove hardcoded Pre-Depends on multiarch-support.
    Thanks to Aurelien Jarno for the patch!  (Closes: #870512)

 -- Anthony Fok <foka@debian.org>  Sat, 30 Jun 2018 11:13:39 -0600

=== debian/control ===
Source: libsass
Section: libs
Priority: optional
Build-Depends: cdbs,
 libtool,
 automake,
 autoconf,
 debhelper (>= 9.20160114~),
 dh-buildinfo,
 autoconf-archive,
 d-shlibs (>= 0.50)
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Anthony Fok <foka@debian.org>
Standards-Version: 4.1.5
Homepage: http://sass-lang.com/libsass
Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
Vcs-Browser: https://salsa.debian.org/sass-team/libsass

Package: libsass1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends},
 ${cdbs:Pre-Depends}
Multi-Arch: same
Description: C/C++ port of the Sass CSS precompiler
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.

Package: libsass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsass1 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends}
Suggests: libsass-doc
Description: C/C++ port of the Sass CSS precompiler - development headers
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.
 .
 This package provides header files for developing your applications to
 use libsass template engine.

=== debian/rules ===
--- 
+++ 
@@ -21,19 +21,17 @@
 DEB_AUTO_UPDATE_AUTOCONF = ,
 DEB_AUTO_UPDATE_AUTOMAKE = ,
 DEB_AUTO_UPDATE_AUTOHEADER = ,
+DEB_BUILD_PARALLEL = 1
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = $(DEB_SOURCE_PACKAGE)
 stem = $(patsubst lib%,%,$(pkg))
-abi = 0
+abi = 1
 lib = lib$(stem)
 libpkg = lib$(stem)$(abi)
 devpkg = lib$(stem)-dev
-
-# Multiarch quirk (see also other uses of that variable in this file)
-CDBS_PREDEPENDS_$(libpkg) = $(if $(DEB_HOST_MULTIARCH),multiarch-support)
 
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

## libsass 3.5.5

=== debian/changelog ===
libsass (3.5.5-4) unstable; urgency=high

  * Add patches cherry-picked upstream
    to fix buffer-overflow and null pointer dereference.
    CVE-2018-19839 CVE-2018-20190.
  * Set urgency=high due to security bugfixes.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 May 2019 12:35:53 +0200

libsass (3.5.5-3) unstable; urgency=high

  * Add patches cherry-picked upstream
    to fix heap-buffer-overflow and heap-use-after-free security bugs.
    Thanks to Xavier Guimard. Closes: Bug#900182.
    CVE-2018-11499 CVE-2018-19827 CVE-2019-6283 CVE-2019-6284 CVE-2019-6286.
  * Set urgency=high due to security bugfixes.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 May 2019 13:32:29 +0200

libsass (3.5.5-2) unstable; urgency=medium

  * Simplify rules: Use dh-autoreconf (not CDBS trickery).
  * Stop build-depend on dh-buildinfo.
  * Use https protocol in Homepage URL.
  * Declare compliance with Debian Policy 4.3.0.
  * Wrap and sort control file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Dec 2018 02:50:54 +0100

libsass (3.5.5-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix -Wmissing-declarations for gcc < 7.
    + Support hex colors with alpha channels.
    + Fix possible bug with handling empty reference combinators.
    + Update plugin test script to use precision 5

  [ Anthony Fok ]
  * Declare compliance with Debian Policy 4.2.1.

 -- Anthony Fok <foka@debian.org>  Mon, 19 Nov 2018 04:16:53 -0700

=== debian/control ===
Source: libsass
Section: libs
Priority: optional
Build-Depends:
 autoconf,
 autoconf-archive,
 automake,
 cdbs,
 d-shlibs (>= 0.50),
 debhelper (>= 9.20160114~),
 dh-autoreconf,
 libtool,
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Anthony Fok <foka@debian.org>,
Standards-Version: 4.3.0
Homepage: https://sass-lang.com/libsass
Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
Vcs-Browser: https://salsa.debian.org/sass-team/libsass

Package: libsass1
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${cdbs:Pre-Depends},
 ${misc:Pre-Depends},
Multi-Arch: same
Description: C/C++ port of the Sass CSS precompiler
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.

Package: libsass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsass1 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Suggests:
 libsass-doc,
Description: C/C++ port of the Sass CSS precompiler - development headers
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.
 .
 This package provides header files for developing your applications to
 use libsass template engine.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_PARALLEL = 1
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

pkg = $(DEB_SOURCE_PACKAGE)
stem = $(patsubst lib%,%,$(pkg))
abi = 1
lib = lib$(stem)
libpkg = lib$(stem)$(abi)
devpkg = lib$(stem)-dev

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

export LIBSASS_VERSION = $(DEB_UPSTREAM_VERSION)

DEB_MAKE_CHECK_TARGET = check

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
#  * d-shlibs 0.50 required for --multiarch and --exclude-la options
binary-post-install/$(libpkg) binary-post-install/$(devpkg):: \
 debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): \
 binary-install/$(libpkg) \
 binary-install/$(devpkg)
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--multiarch \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/sass/libsass/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## libsass 3.6.1

=== debian/changelog ===
libsass (3.6.1-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Drop patches cherry-picked upstream: Now applied.
  * Update copyright info: Extend copyright for fork of UTF8-CPP.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2019 10:11:26 -0300

## libsass 3.6.3

=== Makefile ===
OS       ?= $(shell uname -s)
CC       ?= cc
CXX      ?= c++
RM       ?= rm -f
CP       ?= cp -a
MKDIR    ?= mkdir
RMDIR    ?= rmdir
WINDRES  ?= windres
# Solaris/Illumos flavors
# ginstall from coreutils
ifeq ($(OS),SunOS)
INSTALL  ?= ginstall
endif
INSTALL  ?= install
CFLAGS   ?= -Wall
CXXFLAGS ?= -Wall
LDFLAGS  ?= -Wall
ifndef COVERAGE
  CFLAGS   += -O2
  CXXFLAGS += -O2
  LDFLAGS  += -O2
else
  CFLAGS   += -O1 -fno-omit-frame-pointer
  CXXFLAGS += -O1 -fno-omit-frame-pointer
  LDFLAGS  += -O1 -fno-omit-frame-pointer
endif
CAT ?= $(if $(filter $(OS),Windows_NT),type,cat)

ifneq (,$(findstring /cygdrive/,$(PATH)))
	UNAME := Cygwin
else
ifneq (,$(findstring Windows_NT,$(OS)))
	UNAME := Windows
else
ifneq (,$(findstring mingw32,$(MAKE)))
	UNAME := Windows
else
ifneq (,$(findstring MINGW32,$(shell uname -s)))
	UNAME := Windows
else
	UNAME := $(shell uname -s)
endif
endif
endif
endif

ifndef LIBSASS_VERSION
	ifneq ($(wildcard ./.git/ ),)
		LIBSASS_VERSION ?= $(shell git describe --abbrev=4 --dirty --always --tags)
	endif
	ifneq ($(wildcard VERSION),)
		LIBSASS_VERSION ?= $(shell $(CAT) VERSION)
	endif
endif
ifdef LIBSASS_VERSION
	CFLAGS   += -DLIBSASS_VERSION="\"$(LIBSASS_VERSION)\""
	CXXFLAGS += -DLIBSASS_VERSION="\"$(LIBSASS_VERSION)\""
endif

CXXFLAGS += -std=c++11
LDFLAGS  += -std=c++11

ifeq (Windows,$(UNAME))
	ifneq ($(BUILD),shared)
		STATIC_ALL     ?= 1
	endif
	STATIC_LIBGCC    ?= 1
	STATIC_LIBSTDCPP ?= 1
else
	STATIC_ALL       ?= 0
	STATIC_LIBGCC    ?= 0
	STATIC_LIBSTDCPP ?= 0
endif

ifndef SASS_LIBSASS_PATH
	SASS_LIBSASS_PATH = $(CURDIR)
endif
ifdef SASS_LIBSASS_PATH
	CFLAGS   += -I $(SASS_LIBSASS_PATH)/include
	CXXFLAGS += -I $(SASS_LIBSASS_PATH)/include
else
	# this is needed for mingw
	CFLAGS   += -I include
	CXXFLAGS += -I include
endif

CFLAGS   += $(EXTRA_CFLAGS)
CXXFLAGS += $(EXTRA_CXXFLAGS)
LDFLAGS  += $(EXTRA_LDFLAGS)

LDLIBS = -lm
ifneq ($(BUILD),shared)
	ifneq ($(STATIC_LIBSTDCPP),1)
		LDLIBS += -lstdc++
	endif
endif

# link statically into lib
# makes it a lot more portable
# increases size by about 50KB
ifeq ($(STATIC_ALL),1)
	LDFLAGS += -static
endif
ifeq ($(STATIC_LIBGCC),1)
	LDFLAGS += -static-libgcc
endif
ifeq ($(STATIC_LIBSTDCPP),1)
	LDFLAGS += -static-libstdc++
endif

ifeq ($(UNAME),Darwin)
	CFLAGS += -stdlib=libc++
	CXXFLAGS += -stdlib=libc++
	LDFLAGS += -stdlib=libc++
endif

ifneq (Windows,$(UNAME))
	ifneq (FreeBSD,$(UNAME))
		ifneq (OpenBSD,$(UNAME))
			LDFLAGS += -ldl
			LDLIBS += -ldl
		endif
	endif
endif

ifneq ($(BUILD),shared)
	BUILD := static
endif
ifeq ($(DEBUG),1)
	BUILD := debug-$(BUILD)
endif

ifndef TRAVIS_BUILD_DIR
	ifeq ($(OS),SunOS)
		PREFIX ?= /opt/local
	else
		PREFIX ?= /usr/local
	endif
else
	PREFIX ?= $(TRAVIS_BUILD_DIR)
endif

SASS_SASSC_PATH ?= sassc
SASS_SPEC_PATH ?= sass-spec
SASS_SPEC_SPEC_DIR ?= spec
SASSC_BIN = $(SASS_SASSC_PATH)/bin/sassc
RUBY_BIN = ruby

RESOURCES =
STATICLIB = lib/libsass.a
SHAREDLIB = lib/libsass.so
LIB_STATIC = $(SASS_LIBSASS_PATH)/lib/libsass.a
LIB_SHARED = $(SASS_LIBSASS_PATH)/lib/libsass.so
ifeq ($(UNAME),Darwin)
	SHAREDLIB = lib/libsass.dylib
	LIB_SHARED = $(SASS_LIBSASS_PATH)/lib/libsass.dylib
endif
ifeq (Windows,$(UNAME))
	SASSC_BIN = $(SASS_SASSC_PATH)/bin/sassc.exe
	RESOURCES += res/resource.rc
	SHAREDLIB  = lib/libsass.dll
	ifeq (shared,$(BUILD))
		CFLAGS    += -D ADD_EXPORTS
		CXXFLAGS  += -D ADD_EXPORTS
		LIB_SHARED  = $(SASS_LIBSASS_PATH)/lib/libsass.dll
	endif
else
ifneq (Cygwin,$(UNAME))
	CFLAGS   += -fPIC
	CXXFLAGS += -fPIC
	LDFLAGS  += -fPIC
endif
endif

include Makefile.conf
OBJECTS = $(addprefix src/,$(SOURCES:.cpp=.o))
COBJECTS = $(addprefix src/,$(CSOURCES:.c=.o))
RCOBJECTS = $(RESOURCES:.rc=.o)

DEBUG_LVL ?= NONE

CLEANUPS ?=
CLEANUPS += $(RCOBJECTS)
CLEANUPS += $(COBJECTS)
CLEANUPS += $(OBJECTS)
CLEANUPS += $(LIBSASS_LIB)

all: $(BUILD)

debug: $(BUILD)

debug-static: LDFLAGS := -g $(filter-out -O2,$(LDFLAGS))
debug-static: CFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CFLAGS))
debug-static: CXXFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CXXFLAGS))
debug-static: static

debug-shared: LDFLAGS := -g $(filter-out -O2,$(LDFLAGS))
debug-shared: CFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CFLAGS))
debug-shared: CXXFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CXXFLAGS))
debug-shared: shared

lib:
	$(MKDIR) lib

lib/libsass.a: $(COBJECTS) $(OBJECTS) | lib
	$(AR) rcvs $@ $(COBJECTS) $(OBJECTS)

lib/libsass.so: $(COBJECTS) $(OBJECTS) | lib
	$(CXX) -shared $(LDFLAGS) -o $@ $(COBJECTS) $(OBJECTS) $(LDLIBS)

lib/libsass.dylib: $(COBJECTS) $(OBJECTS) | lib
	$(CXX) -shared $(LDFLAGS) -o $@ $(COBJECTS) $(OBJECTS) $(LDLIBS) \
	-install_name @rpath/libsass.dylib

lib/libsass.dll: $(COBJECTS) $(OBJECTS) $(RCOBJECTS) | lib
	$(CXX) -shared $(LDFLAGS) -o $@ $(COBJECTS) $(OBJECTS) $(RCOBJECTS) $(LDLIBS) \
	-s -Wl,--subsystem,windows,--out-implib,lib/libsass.a

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.rc
	$(WINDRES) -i $< -o $@

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

%: %.o static
	$(CXX) $(CXXFLAGS) -o $@ $+ $(LDFLAGS) $(LDLIBS)

install: install-$(BUILD)

static: $(STATICLIB)
shared: $(SHAREDLIB)

$(DESTDIR)$(PREFIX):
	$(MKDIR) $(DESTDIR)$(PREFIX)

$(DESTDIR)$(PREFIX)/lib: | $(DESTDIR)$(PREFIX)
	$(MKDIR) $(DESTDIR)$(PREFIX)/lib

$(DESTDIR)$(PREFIX)/include: | $(DESTDIR)$(PREFIX)
	$(MKDIR) $(DESTDIR)$(PREFIX)/include

$(DESTDIR)$(PREFIX)/include/sass: | $(DESTDIR)$(PREFIX)/include
	$(MKDIR) $(DESTDIR)$(PREFIX)/include/sass

$(DESTDIR)$(PREFIX)/include/%.h: include/%.h \
                                 | $(DESTDIR)$(PREFIX)/include/sass
	$(INSTALL) -v -m0644 "$<" "$@"

install-headers: $(DESTDIR)$(PREFIX)/include/sass.h \
                 $(DESTDIR)$(PREFIX)/include/sass2scss.h \
                 $(DESTDIR)$(PREFIX)/include/sass/base.h \
                 $(DESTDIR)$(PREFIX)/include/sass/version.h \
                 $(DESTDIR)$(PREFIX)/include/sass/values.h \
                 $(DESTDIR)$(PREFIX)/include/sass/context.h \
                 $(DESTDIR)$(PREFIX)/include/sass/functions.h

$(DESTDIR)$(PREFIX)/lib/%.a: lib/%.a \
                             | $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

$(DESTDIR)$(PREFIX)/lib/%.so: lib/%.so \
                             | $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

$(DESTDIR)$(PREFIX)/lib/%.dll: lib/%.dll \
                               | $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

$(DESTDIR)$(PREFIX)/lib/%.dylib: lib/%.dylib \
                               | $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

install-static: $(DESTDIR)$(PREFIX)/lib/libsass.a

install-shared: $(DESTDIR)$(PREFIX)/$(SHAREDLIB) \
                install-headers

$(SASSC_BIN): $(BUILD)
	$(MAKE) -C $(SASS_SASSC_PATH) build-$(BUILD)

sassc: $(SASSC_BIN)
	$(SASSC_BIN) -v

version: $(SASSC_BIN)
	$(SASSC_BIN) -v

test: test_build

test_build: $(SASSC_BIN)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)" \
	$(LOG_FLAGS) $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)

test_full: $(SASSC_BIN)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)" \
	--run-todo $(LOG_FLAGS) $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)

test_probe: $(SASSC_BIN)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)" \
	--probe-todo $(LOG_FLAGS) $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)

test_interactive: $(SASSC_BIN)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)" \
	--interactive $(LOG_FLAGS) $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)

clean-objects: | lib
	-$(RM) lib/*.a lib/*.so lib/*.dll lib/*.dylib lib/*.la
	-$(RMDIR) lib
clean: clean-objects
	$(RM) $(CLEANUPS)

clean-all:
	$(MAKE) -C $(SASS_SASSC_PATH) clean

lib-file: lib-file-$(BUILD)
lib-opts: lib-opts-$(BUILD)

lib-file-static:
	@echo $(LIB_STATIC)
lib-file-shared:
	@echo $(LIB_SHARED)
lib-opts-static:
	@echo -L"$(SASS_LIBSASS_PATH)/lib"
lib-opts-shared:
	@echo -L"$(SASS_LIBSASS_PATH)/lib -lsass"

.PHONY: all static shared sassc \
        version install-headers \
        clean clean-all clean-objects \
        debug debug-static debug-shared \
        install install-static install-shared \
        lib-opts lib-opts-shared lib-opts-static \
        lib-file lib-file-shared lib-file-static \
        test test_build test_full test_probe
.DELETE_ON_ERROR:

=== debian/changelog ===
libsass (3.6.3-1ubuntu1) focal; urgency=medium

  [ Steve Langasek ]
  * Use ruby:native to fix autopkgtests on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Apr 2020 13:55:07 +0200

libsass (3.6.3-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Anthony Fok ]
  * Declare compliance with Debian Policy 4.5.0.

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 04:04:53 -0700

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Anthony Fok <foka@debian.org>,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://sass-lang.com/libsass
 Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
 Vcs-Browser: https://salsa.debian.org/sass-team/libsass

=== debian/tests/control ===
Tests: spec
Depends: ruby:native, sassc, sass-spec, sass-spec-data
